List users in the account
GET
/api/v1/account/users
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”List of users
Media type application/json
Array<object>
object
id
required
Unique identifier of the user
string
externalId
required
External ID from authentication provider
string
firstName
required
First name of the user
string
lastName
required
Last name of the user
string
email
required
Email address of the user
string
title
required
Job title of the user
string
activeAccountId
required
ID of the active account this user is currently scoped to
string
accounts
required
All account memberships for the user
Array<object>
object
id
required
Account ID
string
name
required
Account name
string
deactivatedAt
required
Date when account was deactivated. Null if active.
string format: date-time
logoUrl
Signed URL for the account logo image. Null if no logo has been uploaded.
string
createdAt
required
User creation date
string format: date-time
updatedAt
required
User last update date
string format: date-time
lastLoginAt
When the user last authenticated. Null if no authenticated session has been recorded for them.
string format: date-time
deactivatedAt
Date when user was deactivated. Null if user is active.
string format: date-time
status
required
User status
string
roles
required
Roles of the user
Array<string>
metadata
Auth0 user metadata
object
Example
[ { "id": "60d5ecb54b24003a7c8e92b2", "externalId": "auth0|507f1f77bcf86cd799439011", "firstName": "John", "lastName": "Smith", "email": "john.smith@example.com", "title": "Compliance Officer", "activeAccountId": "60d5ecb54b24003a7c8e92a1", "accounts": [ { "id": "60d5ecb54b24003a7c8e92a1", "name": "Acme Corporation", "deactivatedAt": null, "logoUrl": null } ], "createdAt": "2026-03-30T12:00:00.000Z", "updatedAt": "2026-03-30T12:00:00.000Z", "lastLoginAt": "2026-03-30T12:00:00.000Z", "deactivatedAt": null, "status": "ACTIVE", "roles": [ "read-only" ], "metadata": { "requireMFA": true } }]